<?php
if(!defined('_QUIPLN')) header('Location: https://quickplanning.com/');

// ini_set('display_errors', 'On');
// error_reporting(E_ALL | E_STRICT);

// this checks the HTTP_ORIGIN header and, depending on the device, it sends back
// the correct header. 
class Headers
{
  public $http_origin = "";

  function __construct()
  {
    $this->getHTTPOrigin(); 
  }
  
  public function sendHeaders($strType)
  {
    header('Access-Control-Allow-Origin: ' .$this->http_origin);   
    error_log("HTTP_ORIGIN: $this->http_origin");

    switch($strType)
    {
      case "json":
        header('Content-type: application/json');
        // error_log("content-type: " .$strType);
        break;

      case "jpeg":
        header('Content-type: image/jpeg'); 
        break;
        
      case "png":
        header('Content-type: image/png');
        break;
      
      case "text":
        header('Content-type: text/plain');
        break;

      case "html":
        header('Content-type: text/html');
        break;
        
      default:
        break;       // do nothing
    }  
  }
  
  // figure out the allowed origin response
  public function getHTTPOrigin()
  {
    // see what the browser is telling us.
    $http_origin = $_SERVER['HTTP_ORIGIN'];
    // error_log("getting HTTP_ORIGIN: " .$http_origin);

    if($http_origin == "")
      // this is probably from... sigh... Android
      $this->http_origin = "https://quickplanning.com";
    elseif($http_origin == "app://localhost")
      // this is apple/cordova and the new wkwebkit built into 6.1  
      $this->http_origin = $http_origin;
    else
      $this->http_origin = "*";   // just in case something changes and we don't catch it
      
    // error_log("this->http_origin set to: " .$this->http_origin);
  }
}
?>